Bug 584063 - Please ship a package containing biber
Summary: Please ship a package containing biber
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: Bumbl
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-20 16:48 UTC by Benedikt Morbach
Modified: 2015-06-16 10:24 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-16 10:24:48 UTC


Attachments (Terms of Use)

Description Benedikt Morbach 2010-04-20 16:48:56 UTC
Description of problem:
Currently there is no package for biber, neither in fedora itself, nor in the texlive testing repo.
Biber should be shipped, in order to be able to fully use the capabilities of biblatex 

Steps to Reproduce:
1.yum search biber
  
Actual results:
No package found

Expected results:
texlive-biber found

Additional info:
While biblatex (see https://bugzilla.redhat.com/show_bug.cgi?id=532195) replaces bibtex on the LaTeX side (doing the formatting, etc.), it still relies on bibtex for parsing the bibliography and sorting the entries. bibtex has many problems, like no unicode support and memory limitations.
Biber is meant to replace bibtex for this job and works together with biblatex. It is written in perl and should be able to act as a drop in replacement for bibtex.

Biber: http://biblatex-biber.sourceforge.net/
Biber on ctan: http://tug.ctan.org/cgi-bin/ctanPackageInformation.py?id=biber

Comment 1 Jindrich Novy 2010-04-21 15:03:08 UTC
Please read this thread:

http://tug.org/pipermail/tex-live/2010-April/025582.html

I pointed that out upstream and the main opinion is to not to include biber into TeX Live because of its huge set of perl dependencies.

Nevertheless, if you want to see biber in Fedora, feel free to package it separately as a standalone package.

Comment 2 Alexander van Loon 2012-02-21 22:28:16 UTC
This post – http://www.linux.cz/pipermail/texlive/2012-February/000429.html – to the mailing list for TeX Live packaging for Fedora, in which I refer to this bug, might be of interest.

Comment 3 Mary Ellen Foster 2012-08-22 13:44:04 UTC
For those who are interested, I've created quick and dirty packages of biber and its remaining perl dependencies, here:
    http://mef.fedorapeople.org/biber/

Comment 4 Jan Doumont 2013-10-13 01:00:45 UTC
Some of the packages in texlive REQUIRE biber to work. There is NO way to get texlive-biblatex-apa to work without biber. So, without biber it is useless. Effectively, fedora's texlive contains packages which can never work without manually fixing dependencies.

There is a binary version of biber on sourceforge, which has no Perl dependencies. It is quite large because of this, the version i'm currently using on fc19 is 14M. Can't this version be packaged?

Comment 5 Mary Ellen Foster 2013-11-26 21:30:59 UTC
I can try to clean up my packages (see above repo) and get them into Fedora if people are interested -- or if anyone else wants to use those as a starting point (they're almost entirely autogenerated by cpanspec), feel free.

Comment 6 Colin Macdonald 2014-01-14 22:35:04 UTC
I needed biber on F20 and a bump to biber 1.8.  While doing that, I uploaded Mary's work to a copr (as a learning experience).

http://copr.fedoraproject.org/coprs/cbm/Biber

Mary: I gather if you login to Copr, you can request admin and builder rights.  I'd be very happy if you do!

Also: this bug should be re-opened.

Comment 7 Hin-Tak Leung 2014-06-25 01:21:52 UTC
Found myself fighting with bibtex//biblatex for a few days because of mysterious errors from not having biber and its not being obvious from the error message...

yeah, some bibtex-* functionality depends on biber to work...

Comment 8 Colin Macdonald 2014-06-27 14:37:18 UTC
Hin-Tak, your message motivated me to bump the copr to version 1.9 (and update the perl deps).

Someone (me? ack!) should submit this for inclusion in Fedora.

QA folk or @jindrich: please reopen this bug.

Comment 9 Colin Macdonald 2014-07-05 21:09:25 UTC
I noticed that 1.9 and later won't build my (single) biber document.  So I created another copr for version 1.8.

http://copr.fedoraproject.org/coprs/cbm/Biber

http://copr.fedoraproject.org/coprs/cbm/biber-1.8

Comment 10 tuxor 2014-09-27 17:19:46 UTC
I can't believe there is still no biber in the official fedora repos even though there are packages in the repos that actually depend on biber implicitely?!

Can't we reconsider this? Colin's copr repos work like a charm and it shouldn't be too hard to include just this version of biber into the official repos...?!

Comment 11 Brallan Jesús Aguilar Rivera 2014-10-01 14:22:52 UTC
Could anyone explain me what is the problem of including many perl dependences?

Comment 12 Colin Macdonald 2014-10-02 09:26:52 UTC
@Brallan: no issue that I'm aware of.  There was an (old?) issue about including biber in Tex Live (but this is distinct from Fedora).

The perl dependencies must not be bundled but rather packaged separately.  This is already the case for the packages in Mary Ellen and I's copr.

It just needs someone to propose it and maintain it.

@tuxor: which copr do you use on what Fedora?  (I'd like to update the docs re: F21.)

@Jindrich: this bug should be reopened please.

Comment 13 tuxor 2014-10-02 18:36:35 UTC
I'm using cbm/biber-1.8 on a Fedora 20 x86_64 machine.

(Unfortunately, I don't have any F21 system for testing cbm/Biber.)

Comment 14 Mary Ellen Foster 2014-10-03 10:00:07 UTC
I'm already a sponsored Fedora packager (Colin, I don't know if you are?), and I'd be prepared to clean up and submit some/all of the packages for Fedora.

Note though that my free time to work on Fedora things fluctuates greatly, so I'd definitely welcome any or all co-maintainers. :)

Comment 15 Colin Macdonald 2014-10-03 10:20:23 UTC
I'm not sponsored.  But I would be willing to co-maintain.  Unfortunately I don't personally user Biber very often.

My main TODO item for the copr's is adding dependency info on the correct version(s) of texlive-biblatex.  E.g., [Biber 1.9 "should be used in conjunction with biblatex 2.9"](http://biblatex-biber.sourceforge.net)

Comment 16 Colin Macdonald 2014-10-03 11:22:52 UTC
@mef: I had a quick look at [the docs](https://fedoraproject.org/wiki/Join_the_package_collection_maintainers) but its not clear to me whether I should submit all the perl deps as individual review requests.  That sounds bit obnoxious for the reviews as (presumably) existing perl maintainers would mostly just use `cpanspec` to make them.  OTOH, I think some of them have minor manual edits from the `cpanspec` output...

I also couldn't get them build on koji because of inter-dependencies, even though that doc above suggests that should work on rawhide.

Comment 17 Colin Macdonald 2014-10-03 11:33:28 UTC
@mef: a thing I don't understand about perl deps is following:

`cpanspec` seems to make a lot of "META.json", "MYMETA.yml", "MYMETA.json", etc and then add them `%doc` all of them.

1.  Am I supposed to verify that these look like something a user would actually want on her system...

2.  ...or can I just trust `cpanspec`?  [I hope its this choice]

3.  If I bump a `cpanspec`-generated .spec file, should I just use the new auto-generated .spec file, but merge in the `%changelog` from the old?

[VSRE]

Comment 18 Mary Ellen Foster 2014-10-03 13:00:47 UTC
Hi Colin,

Regarding your questions: yes, all packages that go into Fedora need to be individually and separately reviewed. Here's the dependency graph of a java package I got in a while ago -- all of the other nodes are also packages that had to be reviewed and accepted first.
https://bugzilla.redhat.com/showdependencygraph.cgi?id=784596&display=web&rankdir=TB

cpanspec is excellent as a starting point, but it probably needs tweaks to meet the real packaging guidelines (Perl packaging guidelines here: https://fedoraproject.org/wiki/Packaging:Perl).

It should be the case that if we get a good reviewer, the perl dependencies can get accepted quite quickly, especially if we can basically use the cpanspec output and just tweak it separately. I don't know much about behind-the-scenes perl, so I don't know about the details of what it's including in the auto-generated files, but hopefully it agrees with the guidelines at least.

Regarding bumping the spec -- depends on how much change is required. It might be easier to edit the old spec to have the new %version instead of re-generating and copying in the %changelog but that is probably a case-by-case thing.

I might have time over the next week or so to start the first batch of dependencies going through.

Comment 19 Colin Macdonald 2014-11-19 12:20:00 UTC
@mef, I've submitted packages for review, see #bug 1165641.

Would certainly want you as comaintainer!

Comment 20 Colin Macdonald 2014-11-19 12:21:34 UTC
Sorry copy-paste error, should be #1165620.

Comment 21 Colin Macdonald 2015-06-16 10:24:48 UTC
Its in F22.


Note You need to log in before you can comment on or make changes to this bug.